> For the complete documentation index, see [llms.txt](https://docs.u2u.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.u2u.xyz/services/rpc/dag-api-methods/dag_geteventpayload.md).

# dag\_getEventPayload

### Parameters

`String`, - full event ID (hex-encoded 32 bytes) or short event ID.

`Boolean`, - If true it returns the full transaction objects, if false only the hashes of the transactions.

### Returns

`Object` - An event object, or null when no event was found:

`version`: QUANTITY - the event version.

`epoch`: QUANTITY - the event epoch number.

`seq`: QUANTITY - the event sequence number.

`hash`: DATA, 32 Bytes - full event ID.

`frame`: QUANTITY - event's frame number.

`creator`: DATA, 20 Bytes - the address of the event creator (validator).

`prevEpochHash`: DATA, 32 Bytes - the hash of the state of previous epoch

`parents`: Array, - array of event IDs

`gasPowerLeft`: QUANTITY - event's not spent gas power.

`gasPowerUsed`: QUANTITY - event's spent gas power.

`lamport`: QUANTITY - event's Lamport index.

`creationTime`: QUANTITY - the UnixNano timestamp of creator's local creation time.

`medianTime`: QUANTITY - the UnixNano timestamp of the secure median time.

`extraData`: DATA - the "extra data" field of this event.

`transactionsRoot`: DATA, 32 Bytes - the root of the transaction trie of the event.

`transactions`: Array - Array of transaction objects, or 32 Bytes transaction hashes depending on the last given parameter.

### Example

Request

```
curl -H "Content-Type: application/json" \
-d '{"id": 1, "jsonrpc":"2.0", "method": "dag_getEventPayload", "params": ["0x000170430000080cd8f7b782afe5d1f63be6cd73631598313200777062ba7383", true]}' \
https://rpc-mainnet.u2u.xyz
```

Result

```javascript
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "creationTime": "0x16dd9d1def47fcf7",
        "creator": "0x32",
        "epoch": "0x17043",
        "extraData": "0x",
        "frame": "0xcb",
        "gasPowerLeft": {
            "longTerm": "0x652f4710",
            "shortTerm": "0x114f5cd1"
        },
        "gasPowerUsed": "0x6d60",
        "id": "0x000170430000080cd8f7b782afe5d1f63be6cd73631598313200777062ba7383",
        "lamport": "0x80c",
        "medianTime": "0x16dd9d1de7a396cd",
        "parents": ["0x00017043000008065b9a8656159c5ad64472016ab14c9034c2772344b4141fa8", "0x000170430000080b3e938d09c60176d77e15973a681e93c02421c0037939d84d", "0x000170430000080bfdbacf6ad1e15c2ce890a8cd1ace8ac161b2bcbf060bb2dd"],
        "prevEpochHash": null,
        "seq": "0x171",
        "size": "0xb1",
        "transactions": [],
        "transactionsRoot": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.u2u.xyz/services/rpc/dag-api-methods/dag_geteventpayload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
